5.2.0-git
04/25/2014

[#7152] Add pref UI to define keyboard navigation bindings
Summary Add pref UI to define keyboard navigation bindings
Queue IMP
Queue Version HEAD
Type Enhancement
State Accepted
Priority 1. Low
Owners Horde Developers (at)
Requester slusarz (at) horde (dot) org
Created 08/04/2008 (2090 days ago)
Due
Updated 01/08/2009 (1933 days ago)
Assigned
Resolved
Milestone
Patch No

History
01/08/2009 05:38:01 AM Michael Slusarz Version ⇒ HEAD
Queue ⇒ IMP
 
01/08/2009 05:37:48 AM Michael Slusarz Taken from Michael Slusarz
State ⇒ Accepted
 
08/04/2008 11:10:35 PM Jan Schneider Comment #2 Reply to this comment
jan: and metaKey :)
08/04/2008 07:55:46 PM Michael Slusarz Comment #1
State ⇒ Assigned
Patch ⇒ No
Milestone ⇒
Assigned to Horde DevelopersHorde Developers
Assigned to Michael Slusarz
Queue ⇒ DIMP
Summary ⇒ Add pref UI to define keyboard navigation bindings
Type ⇒ Enhancement
Priority ⇒ 1. Low
Reply to this comment
          [12:32]        cjh: have a text box

          [12:33]        cjh: capture a single keypress event in that text box

          [12:33]        cjh: display the result

          [12:33]        cjh: (test the keypress even for modifier keys, etc)

          [12:33]        Shpoon: this seems to be something I can ruthlessly rip off 
from another page/site

          [12:35]        cjh: possibly - the place i'm thinking of is the macos 
keyboard system preferences panel

          [12:35]        cjh: but should be pretty easy to do even in web context

          [12:36]        Shpoon: well, its a simple matter of parsing the Event 
object thrown on a JS event trigger

          [12:36]        cjh: yup

          [12:36]        Shpoon: check the keyCode, and then check the altKey and 
shiftKey properties

          [12:36]        cjh: and ctrlKey :)